<template>
  <div class="home-container">
    <h1>Test Home Page</h1>
    <div class="camera-frame">
      <div id="my_camera" class="camera" v-show="!isCaptured"></div>
    </div>
    <br>
    <button class="button-confirm" @click="take_snapshot">Capture Image</button>
  </div>
</template>

<script>
import webcamjs from 'webcamjs';

export default {
  name: 'Home',
  data() {
    return {
      isCaptured: false,
    };
  },
  mounted() {
    webcamjs.attach( '#my_camera' );
  },
  methods: { 
    take_snapshot() {
      let that = this;
      this.isCaptured = true;

			webcamjs.snap( function(data_uri) {
        that.$router.push({
          name: 'Preview',
          params: {
            image_file: data_uri
          }
        });
			});
    },
    reset() {
      this.isCaptured = false;
    }
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
  .camera {
    padding-top: 10px;
  }

  .camera{
    margin: 0 auto;
    width:320px; 
    height:250px;
  }
</style>
